Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class DirectoryGroupCapabilities

    java.lang.Object
      oracle.ifs.beans.PublicObjectCapabilities
          oracle.ifs.beans.TiePublicObjectCapabilities
              oracle.ifs.beans.DirectoryGroupCapabilities

Direct Known Subclasses:
  TieDirectoryGroupCapabilities

    public class DirectoryGroupCapabilities

extends TiePublicObjectCapabilities

Subclass of PublicObjectCapabilities with specific capability checking overrides for the DIRECTORYGROUP classobject.

Constructor Summary
`DirectoryGroupCapabilities(PublicObject object)` Creates a new DirectoryGroupCapabilities instance.

Method Summary
`boolean` | `ADDITEM()` Performs additional capability check for the ADDITEM permission.
`boolean` | `ADDVERSION()` Performs additional capability check for the ADDVERSION permission.
`boolean` | `ADMINISTER_CATEGORY()` Performs additional capability check for the ADMINISTER_CATEGORY permission.
`boolean` | `ADMINISTER_CONFIGURATION()` Performs additional capability check for the ADMINISTER_CONFIGURATION permission.
`boolean` | `ADMINISTER_CONTAINER()` Performs additional capability check for the ADMINISTER_CONTAINER permission.
`boolean` | `ADMINISTER_QUOTA()` Performs additional capability check for the ADMINISTER_QUOTA permission.
`boolean` | `ADMINISTER_RECORD()` Performs additional capability check for the ADMINISTER_RECORD permission.
`boolean` | `ADMINISTER_ROLE()` Performs additional capability check for the ADMINISTER_ROLE permission.
`boolean` | `ADMINISTER_SECURITY()` Performs additional capability check for the ADMINISTER_SECURITY permission.
`boolean` | `ADMINISTER_WORKSPACE()` Performs additional capability check for the ADMINISTER_WORKSPACE permission.
`boolean` | `COPY()` Performs additional capability check for the COPY permission.
`boolean` | `CREATECONTAINER()` Performs additional capability check for the CREATECONTAINER permission.
`boolean` | `CREATEWORKSPACE()` Performs additional capability check for the CREATEWORKSPACE permission.
`boolean` | `GETMETADATA()` Performs additional capability check for the GETMETADATA permission.
`boolean` | `LOCK()` Performs additional capability check for the LOCK permission.
`boolean` | `MOVE()` Performs additional capability check for the MOVE permission.
`boolean` | `SET_CONTENT()` Performs additional capability check for the SET_CONTENT permission.
`boolean` | `SETMETADATA()` Performs additional capability check for the SETMETADATA permission.

Methods inherited from class oracle.ifs.beans.PublicObjectCapabilities
`ADMINISTER_DOMAIN, ADMINISTER_LOCK, ADMINISTER_USER, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, CREATEFOLDER, DELETE, DISCOVER, GET_CONTENT, GETAUDITHISTORY, getCapabilities, GETRELATION, getTrackedObject, SET_ATTR, SETRELATION, verifyCapabilities, verifyCapability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryGroupCapabilities

    public DirectoryGroupCapabilities(PublicObject object)

  Creates a new DirectoryGroupCapabilities instance.

  Parameters:
    `object` - the PublicObject (DirectoryGroup subclass) for which capabilities are tracked.

Method Detail

### SET_CONTENT

    public boolean SET_CONTENT()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the SET_CONTENT permission.

  Overrides:
    `SET_CONTENT` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### LOCK

    public boolean LOCK()
                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the LOCK permission.

  Overrides:
    `LOCK` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADDITEM

    public boolean ADDITEM()
                    throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADDITEM permission.

  Overrides:
    `ADDITEM` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADDVERSION

    public boolean ADDVERSION()
                       throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADDVERSION permission.

  Overrides:
    `ADDVERSION` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_CATEGORY

    public boolean ADMINISTER_CATEGORY()
                                throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_CATEGORY permission.

  Overrides:
    `ADMINISTER_CATEGORY` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_RECORD

    public boolean ADMINISTER_RECORD()
                              throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_RECORD permission.

  Overrides:
    `ADMINISTER_RECORD` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_ROLE

    public boolean ADMINISTER_ROLE()
                            throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_ROLE permission.

  Overrides:
    `ADMINISTER_ROLE` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_CONTAINER

    public boolean ADMINISTER_CONTAINER()
                                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_CONTAINER permission.

  Overrides:
    `ADMINISTER_CONTAINER` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_QUOTA

    public boolean ADMINISTER_QUOTA()
                             throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_QUOTA permission.

  Overrides:
    `ADMINISTER_QUOTA` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_WORKSPACE

    public boolean ADMINISTER_WORKSPACE()
                                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_WORKSPACE permission.

  Overrides:
    `ADMINISTER_WORKSPACE` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_SECURITY

    public boolean ADMINISTER_SECURITY()
                                throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_SECURITY permission.

  Overrides:
    `ADMINISTER_SECURITY` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADMINISTER_CONFIGURATION

    public boolean ADMINISTER_CONFIGURATION()
                                     throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADMINISTER_CONFIGURATION permission.

  Overrides:
    `ADMINISTER_CONFIGURATION` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### CREATEWORKSPACE

    public boolean CREATEWORKSPACE()
                            throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the CREATEWORKSPACE permission.

  Overrides:
    `CREATEWORKSPACE` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### CREATECONTAINER

    public boolean CREATECONTAINER()
                            throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the CREATECONTAINER permission.

  Overrides:
    `CREATECONTAINER` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### MOVE

    public boolean MOVE()
                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the MOVE permission.

  Overrides:
    `MOVE` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### GETMETADATA

    public boolean GETMETADATA()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the GETMETADATA permission.

  Overrides:
    `GETMETADATA` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### SETMETADATA

    public boolean SETMETADATA()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the SETMETADATA permission.

  Overrides:
    `SETMETADATA` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### COPY

    public boolean COPY()
                 throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the COPY permission.

  Overrides:
    `COPY` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD